import { requests } from './index';
const PREFIX = 'api-marketing/';

import config from '@/config';
export const url = config.api + PREFIX;

// (url, data = {}, contentTypeIsJSON = false, isSilence = false, method = 'POST', alertError = true) => {
// 弹窗计划分页列表
export const popPlanList = params => requests(PREFIX + 'query-popup-plan-page-list', params, true);

// 弹窗计划详情
export const getPopupPlan = params => requests(PREFIX + 'get-popup-plan', params);

// 保存或更新弹窗计划
export const saveOrUpdatePopupPlan = params => requests(PREFIX + 'save-or-update-popup-plan', params, true);

// 投放页面列表
export const queryPopupLinkList = params => requests(PREFIX + 'query-popup-link-list', params);

// 删除弹窗
export const removePopup = params => requests(PREFIX + 'remove-popup', params);

// 删除弹窗计划
export const removePopupPlan = params => requests(PREFIX + 'remove-popup-plan', params);

// 停止弹窗
export const stopPopup = params => requests(PREFIX + 'stop-popup', params);

// 投放页面-获取自定义页面
// http://www.gicdev.com/api-admin/list-page
export const customPageList = params => requests(`${config.api}api-admin/list-page`, params);
